/**
 * Create the service instance
 * @function create
 * @param {...*} args
 * @returns {DemoService}
 */
'use strict'

const DemoService = require('./demo_service')

/** @lends create */
function create (...args) {
  return new DemoService(...args)
}

module.exports = create
