/**
 * Service
 * @class DemoService
 * @param {Object} store - Redux store
 * @param {Object} options - Optional settings
 */
'use strict'

const { ApService } = require('apeman-service-base')
const abind = require('abind')

/** @lends DemoService */
class DemoService extends ApService {
  constructor (store, options = {}) {
    super(store)
    const s = this
    abind(s, { proto: DemoService.prototype })
    abind(s)
  }
}

module.exports = DemoService
